Subject: Native Plants

From: [email-masked] (Michele Thomas)
Date: Mon, 20 Mar 1995 21:10:34 +0000

I recently attended a seminar titled Designed Gardens as Plant
Commmunities: Blending Design, Horticulture and Ecology.  The foucs was on
designing gardens and landscapes with native plants.  There seems to be a
movement toward using native plants and restricting invasive non-native
plants.  One question echoed by many of the attendees (landscape
architects, gardeners and designers) was where can we buy native plants;
we can't collect from the wild.  

I've been investigating native plant sources for zone 5 and have found a
couple:  Barry Glick, Sunshine Farm and Gardens in West Virginia (for more
info look at http://mirror.wwa.com/mirror/) and Neil Diboll, Prairie
Nursery in Wisconsin.

Is anyone else interested in this subject and do you know of other sources?